/*
 * Class EV_FIGURE_TEXT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_689 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_689 [] = {0xFF01,1551,688,0xFFFF};
static const EIF_TYPE_INDEX egt_2_689 [] = {0xFF01,688,0xFFFF};
static const EIF_TYPE_INDEX egt_3_689 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_689 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_689 [] = {0xFF01,688,0xFFFF};
static const EIF_TYPE_INDEX egt_6_689 [] = {0xFF01,688,0xFFFF};
static const EIF_TYPE_INDEX egt_7_689 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_689 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_689 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_689 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_689 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_689 [] = {0xFF01,688,0xFFFF};
static const EIF_TYPE_INDEX egt_13_689 [] = {1594,0xFF01,0,0xFF01,0xFFF9,1,840,0,0xFF01,133,0xFFFF};
static const EIF_TYPE_INDEX egt_14_689 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_15_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_16_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_17_689 [] = {0xFF01,638,0xFFFF};
static const EIF_TYPE_INDEX egt_18_689 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_19_689 [] = {0xFF01,648,0xFFFF};
static const EIF_TYPE_INDEX egt_20_689 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_21_689 [] = {0xFF01,1997,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_22_689 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_23_689 [] = {0xFF01,1559,0xFF01,623,0xFFFF};
static const EIF_TYPE_INDEX egt_24_689 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_25_689 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_26_689 [] = {0xFF01,655,0xFFFF};
static const EIF_TYPE_INDEX egt_27_689 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_28_689 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_29_689 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_30_689 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_31_689 [] = {0xFF01,624,0xFFFF};
static const EIF_TYPE_INDEX egt_32_689 [] = {0xFF01,1567,0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_33_689 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_34_689 [] = {0xFF01,868,0xFFFF};
static const EIF_TYPE_INDEX egt_35_689 [] = {0xFF01,1889,869,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_36_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_37_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_38_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_39_689 [] = {0xFF01,968,0xFFFF};
static const EIF_TYPE_INDEX egt_40_689 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0,0xFFFF};
static const EIF_TYPE_INDEX egt_41_689 [] = {0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_42_689 [] = {0xFF01,1567,0xFF01,680,0xFFFF};
static const EIF_TYPE_INDEX egt_43_689 [] = {0xFF01,962,0xFFFF};
static const EIF_TYPE_INDEX egt_44_689 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_45_689 [] = {0xFF01,963,0xFFFF};
static const EIF_TYPE_INDEX egt_46_689 [] = {0xFF01,963,0xFFFF};


static const struct desc_info desc_689[] = {
	{EIF_GENERIC(NULL), 17094, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_689), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_689), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_689), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_689), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_689), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_689), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_689), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_689), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_689), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_689), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_689), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_689), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0561 /*688*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_689), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12895, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12896, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x054F /*679*/), 16829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16835, 104},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6966, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 16905, 80},
	{EIF_NON_GENERIC(0x071F /*911*/), 16900, 0},
	{EIF_GENERIC(egt_13_689), 16901, 4},
	{EIF_GENERIC(egt_14_689), 16906, 76},
	{EIF_GENERIC(egt_15_689), 16926, 72},
	{EIF_GENERIC(egt_16_689), 16927, 68},
	{EIF_GENERIC(NULL), 16928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16902, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16932, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_689), 16920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_689), 16921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_689), 16912, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_689), 16922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16896, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_689), 16898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_689), 16899, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0557 /*683*/), 16907, 8},
	{EIF_NON_GENERIC(0x055B /*685*/), 16908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), 16909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 16910, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_689), 16911, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_689), 16913, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_689), 16914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_689), 16915, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_689), 16916, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_689), 16917, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_689), 16918, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_689), 16919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16924, 96},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16936, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16945, 97},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04E1 /*624*/), 16948, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17089, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_689), 17092, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16950, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_689), 16951, 16},
	{EIF_GENERIC(NULL), 16952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 16954, 108},
	{EIF_NON_GENERIC(0x01 /*0*/), 16955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0791 /*968*/), 16956, 20},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16957, 98},
	{EIF_GENERIC(egt_33_689), 16958, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_689), 16959, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_689), 16960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16961, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_689), 16962, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_689), 16963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0511 /*648*/), 16964, 24},
	{EIF_NON_GENERIC(0x051F /*655*/), 16965, 28},
	{EIF_NON_GENERIC(0x051F /*655*/), 16966, 32},
	{EIF_NON_GENERIC(0x051F /*655*/), 16967, 36},
	{EIF_NON_GENERIC(0x051D /*654*/), 16968, 40},
	{EIF_NON_GENERIC(0x051D /*654*/), 16969, 44},
	{EIF_NON_GENERIC(0x051D /*654*/), 16970, 48},
	{EIF_NON_GENERIC(0x051D /*654*/), 16971, 52},
	{EIF_NON_GENERIC(0x04FD /*638*/), 16972, 56},
	{EIF_NON_GENERIC(0x051D /*654*/), 16973, 60},
	{EIF_NON_GENERIC(0x04ED /*630*/), 16974, 64},
	{EIF_GENERIC(egt_38_689), 16927, 68},
	{EIF_GENERIC(egt_39_689), 16926, 72},
	{EIF_GENERIC(egt_40_689), 16906, 76},
	{EIF_NON_GENERIC(0x01 /*0*/), 16905, 80},
	{EIF_GENERIC(NULL), 10070, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_689), 10072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10073, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_689), 16951, 16},
	{EIF_GENERIC(egt_43_689), 17065, 84},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17066, 112},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17067, 99},
	{EIF_GENERIC(NULL), 17068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12967, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12968, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12969, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12970, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12972, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17096, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_689), 17097, 88},
	{EIF_GENERIC(egt_45_689), 17083, 92},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17084, 116},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17085, 120},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17086, 100},
	{EIF_GENERIC(NULL), 17087, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17088, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17090, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17091, 0xFFFFFFFF},
	{EIF_GENERIC(egt_46_689), 17093, 0xFFFFFFFF},
};
void Init689(void)
{
	IDSC(desc_689, 0, 688);
	IDSC(desc_689 + 1, 1, 688);
	IDSC(desc_689 + 32, 791, 688);
	IDSC(desc_689 + 34, 1503, 688);
	IDSC(desc_689 + 37, 1187, 688);
	IDSC(desc_689 + 42, 902, 688);
	IDSC(desc_689 + 47, 371, 688);
	IDSC(desc_689 + 61, 646, 688);
	IDSC(desc_689 + 79, 1005, 688);
	IDSC(desc_689 + 100, 205, 688);
	IDSC(desc_689 + 163, 1113, 688);
	IDSC(desc_689 + 168, 807, 688);
	IDSC(desc_689 + 175, 984, 688);
	IDSC(desc_689 + 189, 1335, 688);
}


#ifdef __cplusplus
}
#endif
